Page MenuHomePhabricator

[PowerPC] Implement Vector String Isolate Builtins in Clang/LLVM
ClosedPublic

Authored by amyk on Sep 14 2020, 10:44 PM.

Details

Summary

This patch implements the vector string isolate (predicate and non-predicate
versions) builtins. The predicate builtins are custom selected within PPCISelDAGToDAG.

Depends on D86252.

Diff Detail

Event Timeline

amyk created this revision.Sep 14 2020, 10:44 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 14 2020, 10:44 PM
amyk requested review of this revision.Sep 14 2020, 10:44 PM
amyk added inline comments.
llvm/lib/Target/PowerPC/PPCInstrPrefix.td
1024

Not sure why the indentation here is off on Phabricator, but the actual diff has this line in what seems to be the correct spot.

amyk updated this revision to Diff 292830.Sep 18 2020, 9:44 AM

Address clang-format concerns.

Conanap accepted this revision.Sep 21 2020, 2:35 PM
Conanap added a subscriber: Conanap.

lgtm

This revision is now accepted and ready to land.Sep 21 2020, 2:35 PM
This revision was landed with ongoing or failed builds.Sep 22 2020, 9:32 AM
This revision was automatically updated to reflect the committed changes.